CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator Class Reference

An iterator class for WeakKeyedHash. More...

`#include <csutil/weakkeyedhash.h>`

List of all members.

## Public Member Functions
void | Advance ()
| Advance the iterator of one step.
| GlobalIterator (const GlobalIterator &o)
| Copy constructor.
bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
T & | Next ()
| Get the next element's value.
T & | Next (K &key)
| Get the next element's value and key.
T & | NextNoAdvance ()
| Get the next element's value, don't move the iterator.
T & | NextNoAdvance (K &key)
| Get the next element's value and key, don't move the iterator.
const csTuple2< T, K > | NextTuple ()
| Return a tuple of the value and key.
GlobalIterator & | operator= (const GlobalIterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.

## Detailed Description

### template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>
class CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator

An iterator class for WeakKeyedHash.

Definition at line 127 of file weakkeyedhash.h.

## Constructor & Destructor Documentation

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::GlobalIterator | ( | const GlobalIterator & | o | ) | `[inline]`

Copy constructor.

Definition at line 166 of file weakkeyedhash.h.

## Member Function Documentation

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

void CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::Advance | ( |  | ) | `[inline]`

Advance the iterator of one step.

Definition at line 186 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

bool CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::HasNext | ( |  | ) | const`[inline]`

Returns a boolean indicating whether or not the hash has more elements.

Definition at line 180 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

T& CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::Next | ( |  | ) | `[inline]`

Get the next element's value.

Definition at line 198 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

T& CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::Next | ( | K & | key | ) | `[inline]`

Get the next element's value and key.

Definition at line 213 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

T& CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::NextNoAdvance | ( |  | ) | `[inline]`

Get the next element's value, don't move the iterator.

Definition at line 192 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

T& CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::NextNoAdvance | ( | K & | key | ) | `[inline]`

Get the next element's value and key, don't move the iterator.

Definition at line 206 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

const csTuple2<T, K> CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::NextTuple | ( |  | ) | `[inline]`

Return a tuple of the value and key.

Definition at line 220 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

GlobalIterator& CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::operator= | ( | const GlobalIterator & | o | ) | `[inline]`

Assignment operator.

Definition at line 170 of file weakkeyedhash.h.

template<class T, class K, class ArrayMemoryAlloc = CS::Container::ArrayAllocDefault, class ArrayElementHandler = csArraySafeCopyElementHandler< CS::Container::HashElement<T, K> >>

void CS::Container::WeakKeyedHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::GlobalIterator::Reset | ( |  | ) | `[inline]`

Move the iterator back to the first element.

Definition at line 229 of file weakkeyedhash.h.

The documentation for this class was generated from the following file:

- csutil/weakkeyedhash.h